CAPNG_APPLY_CAPS_FD(3)

NAME
capng_apply_caps_fd - write file-based capabilities to extended attributes

SYNOPSIS
#include <cap-ng.h>

int capng_apply_caps_fd(int fd);

DESCRIPTION

This function will write the file based capabilities to the extended attributes of the file that the descriptor was opened against. The bounding set is not included in file based capabilities operations. Note that this function will only work if compiled on a kernel that supports file based capabilities such as 2.6.2 6 and later.

RETURN VALUE

This returns 0 on success, -1 if something besides a regular file is passed, and -2 if a non-root namespace id is being used for rootid.

SEE ALSO

capng_get_caps_fd(3), capabilities(7)

AUTHOR
Steve Grubb